import { type DataService } from 'mongodb-data-service';
import type { ConnectionInfo } from '@mongodb-js/connection-storage/renderer';
import { type LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type { MongoServerError } from 'mongodb';
export declare function trackConnectionAttemptEvent({ favorite, lastUsed }: Pick<ConnectionInfo, 'favorite' | 'lastUsed'>, { track, debug }: LoggerAndTelemetry): void;
export declare function trackNewConnectionEvent(connectionInfo: Pick<ConnectionInfo, 'connectionOptions'>, dataService: Pick<DataService, 'instance' | 'getCurrentTopologyType'>, { track, debug }: LoggerAndTelemetry): void;
export declare function trackConnectionFailedEvent(connectionInfo: Pick<ConnectionInfo, 'connectionOptions'> | null, connectionError: Error & Partial<Pick<MongoServerError, 'code' | 'codeName'>>, { track, debug }: LoggerAndTelemetry): void;
//# sourceMappingURL=telemetry.d.ts.map